Robotics Service Bus - Tasks #2233
Wait for confirmation when joining Spread groups
04/23/2015 05:44 PM - J. Moringen

Status: In Progress Start date: 06/03/2015
Priority: Normal Due date:

Assignee: % Done: 60%
Category: Spread Connector Estimated time: 0.00 hour
Target version: rsb-0.18

Description

When joining a Spread group, the operation cannot be assumed to have completed before the corresponding membership message
has been received from the Spread daemon. As a consequence, events that a certain Spread connection must receive, cannot be
sent before the connection in question received its membership message.

When this reasoning and our experimental implementation of a suitable waiting logic appear sound, we have to implement that logic
for all languages (and create sub-issues).

Subtasks:

Tasks # 2317: Wait for confirmation when joining Spread groups [Common Lisp] Resolved
Tasks # 2434: Wait for confirmation when joining Spread groups [Java] Resolved
Tasks # 2435: Wait for confirmation when joining Spread groups [C++] Rejected
Tasks # 2433: Wait for confirmation when joining Spread groups [C++] New
Tasks # 2529: Wait for confirmation when joining Spread groups [Python] New
History

#1 - 06/03/2015 10:56 AM - J. Wienke
- Target version changed from rsb-0.12 to rsb-0.13

We have a confirmation from a spread developer that waiting for the self join notification is the correct way to ensure this.

#2 - 03/03/2016 12:11 PM - J. Moringen

- Target version changed from rsb-0.13 to rsb-0.14

#3 - 06/08/2016 09:01 PM - J. Moringen

- Target version changed from rsb-0.14 to rsb-0.15

#4 - 11/07/2016 10:36 AM - J. Moringen
- Target version changed from rsb-0.15 to rsb-0.16

#5 - 04/10/2017 08:59 PM - J. Moringen
- Target version changed from rsb-0.16 to rsb-0.17

#6 - 10/16/2017 09:23 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
